#include <iostream>

using namespace std;

string s;

int main()
{
	cin >> s;
	
	int n = s.size(), x = 0;
	
	for(int i = 0; i < n; i++) 
		x += (s[i] - '0') / 5 + ((s[i] - '0') % 5) / 2 + ((s[i] - '0') % 5) % 2;
		
	cout << x;
	
	return 0;
}